| Flutter Impeller |

Public Attributes | List of all members
impeller::RenderPassData Struct Reference

Encapsulates data that will be needed in the reactor for the encoding of commands for this render pass. More...

## Public Attributes
Viewport | viewport
Color | clear_color
uint32_t | clear_stencil = 0u
Scalar | clear_depth = 1.0
std::shared_ptr< Texture > | color_attachment
std::shared_ptr< Texture > | resolve_attachment
std::shared_ptr< Texture > | depth_attachment
std::shared_ptr< Texture > | stencil_attachment
bool | clear_color_attachment = true
bool | clear_depth_attachment = true
bool | clear_stencil_attachment = true
bool | discard_color_attachment = true
bool | discard_depth_attachment = true
bool | discard_stencil_attachment = true
std::string | label

## Detailed Description

Encapsulates data that will be needed in the reactor for the encoding of commands for this render pass.

Definition at line 125 of file render_pass_gles.cc.

## Member Data Documentation

## ◆ clear_color

Color impeller::RenderPassData::clear_color

Definition at line 128 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ clear_color_attachment

bool impeller::RenderPassData::clear_color_attachment = true

Definition at line 137 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ clear_depth

Scalar impeller::RenderPassData::clear_depth = 1.0

Definition at line 130 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ clear_depth_attachment

bool impeller::RenderPassData::clear_depth_attachment = true

Definition at line 138 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ clear_stencil

uint32_t impeller::RenderPassData::clear_stencil = 0u

Definition at line 129 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ clear_stencil_attachment

bool impeller::RenderPassData::clear_stencil_attachment = true

Definition at line 139 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ color_attachment

std::shared_ptr<Texture> impeller::RenderPassData::color_attachment

Definition at line 132 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ depth_attachment

std::shared_ptr<Texture> impeller::RenderPassData::depth_attachment

Definition at line 134 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ discard_color_attachment

bool impeller::RenderPassData::discard_color_attachment = true

Definition at line 141 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ discard_depth_attachment

bool impeller::RenderPassData::discard_depth_attachment = true

Definition at line 142 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ discard_stencil_attachment

bool impeller::RenderPassData::discard_stencil_attachment = true

Definition at line 143 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ label

std::string impeller::RenderPassData::label

Definition at line 145 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ resolve_attachment

std::shared_ptr<Texture> impeller::RenderPassData::resolve_attachment

Definition at line 133 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ stencil_attachment

std::shared_ptr<Texture> impeller::RenderPassData::stencil_attachment

Definition at line 135 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

## ◆ viewport

Viewport impeller::RenderPassData::viewport

Definition at line 126 of file render_pass_gles.cc.

Referenced by impeller::EncodeCommandsInReactor().

The documentation for this struct was generated from the following file:

- impeller/renderer/backend/gles/render_pass_gles.cc